package frc.robot.constants;

import com.revrobotics.spark.config.SparkMaxConfig;

public class ClosedLoopTestConstants {
    public static final double kPositionConversionFactor = 360.0/25.0;
    public static final double kVelocityConversionFactor = kPositionConversionFactor / 60.0;

    public static final double kP = .001;
    public static final double kI = 0;
    public static final double kD = 0;
    public static final double kF = 0;

    public static final double kAllowedClosedLoopError = .05;
    public static final double kMaxAcceleration = 180;
    public static final double kMaxVelocity = 360;

    public static final SparkMaxConfig motorConfig = new SparkMaxConfig();

    static {
        motorConfig.encoder
            .positionConversionFactor(kPositionConversionFactor)
            .velocityConversionFactor(kVelocityConversionFactor);
        motorConfig.closedLoop
            .pidf(
                kP, 
                kI, 
                kD, 
                kF
            );
        motorConfig.closedLoop.maxMotion
            .allowedClosedLoopError(kAllowedClosedLoopError)
            .maxAcceleration(kMaxAcceleration)
            .maxVelocity(kMaxVelocity);
    }
}
